//
// this file, part of libTexFormula, is released under the conditions of the zlib license.
// for details see: http://www.gzip.org/zlib/zlib_license.html
//
#include "display.h"
#include "stdio.h"
#include "stdlib.h"
#include "memory.h"

int g_width, g_height,g_raster;
unsigned char *g_pimage;
unsigned char *g_result_pixmap;
int g_result_width, g_result_height;


/* Device is about to be closed. */
/* Device will not be closed until this function returns. */
int display_open(void *, void *)
{
    return 1;
}

int display_preclose(void *, void *)
{
    return 0;
}

int display_close(void *, void *)
{
    return 0;
}

int display_presize(void *, void *, int , int , int , unsigned int )
{
    return 0;
}
int display_size(void *, void *, int width, int height, int raster, unsigned int , unsigned char *pimage)
{
    g_height = height;
    g_width = width;
    g_raster = raster;
    g_pimage = pimage;
    return 0;
}
int display_sync(void *, void *)
{
    return 0;
}
int display_page(void *, void *, int , int )
{
    g_result_pixmap = (unsigned char*) malloc(g_raster*g_height);
    memcpy(g_result_pixmap,g_pimage, g_raster*g_height);

    // clear border
    for (int y = 0; y < g_height;y++)
        for (int x = g_width; x < g_raster; x++)
            g_result_pixmap[y * g_raster + x] = 0xFF;

    g_result_width = g_raster;
    g_result_height = g_height;
    return 0;
}
int display_update(void *, void *, int , int, int , int )
{
    return 0;
}
